<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');


Route::group(['middleware' =>['auth'],'prefix' => 'admin'], function () {

//Home-Page route    
Route::get('app-setting/home-page','Admin\AppSetting\HomePageController@add')->name('appsetting.home-page');
Route::get('app-setting/home-page/all','Admin\AppSetting\HomePageController@getHomePageData')->name('appsetting.home-page.getHomePageData');
Route::post('app-setting/home-page/normal-collection/upload-image','Admin\AppSetting\HomePageController@uploadImage')->name('appsetting.home-page.normal-collection.upload');
Route::post('app-setting/home-page/normal-collection/save-normal-collection','Admin\AppSetting\HomePageController@saveNormalCollection')->name('appsetting.home-page.normal-collection.save');
Route::post('app-setting/home-page/normal-collection/save-collection-goal','Admin\AppSetting\HomePageController@saveCollectionGoal')->name('appsetting.home-page.collection-goal.save');
Route::post('app-setting/home-page/remove-collection-goal','Admin\AppSetting\HomePageController@removeGoalCollection')->name('appsetting.home-page.goal-collection.remove');
Route::post('app-setting/home-page/remove-image','Admin\AppSetting\HomePageController@removeImage')->name('appsetting.home-page.remove-image');
Route::post('app-setting/home-page/link/normal-collection','Admin\AppSetting\HomePageController@linkNormalCollection')->name('appsetting.home-page.link-normal-collection');
Route::post('app-setting/home-page/link/collection-goal','Admin\AppSetting\HomePageController@linkCollectionGoal')->name('appsetting.home-page.link-collection-goal');

//Announcement Bar route 
Route::get('app-setting/announcement-bar','Admin\AppSetting\AnnouncementBarController@add')->name('appsetting.announcement-bar');
Route::post('app-setting/announcement-bar/store','Admin\AppSetting\AnnouncementBarController@store')->name('appsetting.announcement-bar.store');
Route::get('app-setting/announcement-bar/all','Admin\AppSetting\AnnouncementBarController@getAnnouncementBar')->name('appsetting.announcement-bar.all');

//Dynamic Menu route
Route::get('app-setting/menu','Admin\AppSetting\Menu\MenuController@index')->name('appsetting.menu.index');
Route::get('app-setting/menu/add','Admin\AppSetting\Menu\MenuController@add')->name('appsetting.menu.add');
Route::get('app-setting/menu/edit/{id}','Admin\AppSetting\Menu\MenuController@edit')->name('appsetting.menu.edit');
Route::post('app-setting/menu/store','Admin\AppSetting\Menu\MenuController@store')->name('appsetting.menu.store');
Route::post('app-setting/menu/update','Admin\AppSetting\Menu\MenuController@update')->name('appsetting.menu.update');
Route::get('app-setting/menu/all','Admin\AppSetting\Menu\MenuController@getAllMenu')->name('appsetting.menu.all');
Route::post('app-setting/menu/delete','Admin\AppSetting\Menu\MenuController@delete')->name('appsetting.menu.delete');
Route::post('app-setting/menu/upload-icon','Admin\AppSetting\Menu\MenuController@uploadIcon')->name('appsetting.menu.upload-icon');
Route::post('app-setting/menu/remove-icon','Admin\AppSetting\Menu\MenuController@removeIcon')->name('appsetting.menu.remove-icon');

//Flash sale route
Route::get('app-setting/flash-sale','Admin\AppSetting\FlashSale\FlashSaleController@index')->name('appsetting.flash-sale.index');
Route::post('app-setting/flash-sale/store','Admin\AppSetting\FlashSale\FlashSaleController@store')->name('appsetting.flash-sale.store');
Route::get('app-setting/flash-sale/add','Admin\AppSetting\FlashSale\FlashSaleController@add')->name('appsetting.flash-sale.add');
Route::get('app-setting/flash-sale/getAllAnnouncement','Admin\AppSetting\FlashSale\FlashSaleController@getAllAnnouncement')->name('appsetting.flash-sale.getAllAnnouncement');
Route::post('app-setting/flash-sale/getCollectionProduct','Admin\AppSetting\FlashSale\FlashSaleController@getCollectionProduct')->name('appsetting.flash-sale.getCollectionProduct');
});
